image darken= Solid("#0008")

image mm_leaf:
    "images/titleleaf.png"
    alpha .5
    subpixel True
    rotate 0
    linear 5 rotate -360
    repeat
image mm_leaf2:
    "images/titleleaf.png"
    alpha .5
    subpixel True
    rotate 0
    linear 5 rotate 360
    repeat
image mm_flower:
    "images/titleflower.png"
    alpha .5
    subpixel True
    rotate 0
    linear 5 rotate 360
    repeat
image mmblossom1 = SnowBlossom("mm_leaf", count=6, xspeed=(0,40), yspeed=(60,100), start=3)
image mmblossom2 = SnowBlossom("mm_leaf2", count=6, xspeed=(0,40), yspeed=(60,100), start=3)
image mmblossom3 = SnowBlossom("mm_flower", count=20, xspeed=(0,40), yspeed=(60,-100), start=3)
image mmblossoms:
    contains:
        "mmblossom1"
    contains:
        "mmblossom2"
    contains:
        "mmblossom3"

layeredimage astra:
    xoffset -8

    group body auto:
        attribute pose1 default

    group face auto:
        attribute neutral default

layeredimage cass:

    group body auto:
        attribute pose1 default

    group face auto:
        attribute smile default

layeredimage peri:

    group body auto:
        attribute pose1 default

    group face auto:
        attribute tired default

layeredimage vin:

    group body auto:
        attribute pose1 default

    group face auto:
        attribute neutral default

image icon astra idle:
    "icon astra"
    offset (4,4)
image icon cass idle:
    "icon cass"
    offset (4,4)
image icon cass2 idle:
    "icon cass2"
    offset (4,4)
image icon peri idle:
    "icon peri"
    offset (4,4)
image icon peri2 idle:
    "icon peri2"
    offset (4,4)
image icon vin idle:
    "icon vin"
    offset (4,4)
image icon ma idle:
    "icon ma"
    offset (4,4)
image icon none idle:
    "icon none"
    offset (4,4)

image decor_selected_idle = "decor_hover"

transform leftc:
    xalign .1
    ypos 90
transform rightc:
    xalign .9
    ypos 90

transform enterleft:
    alpha 0 xoffset -50
    easein .5 alpha 1.0 xoffset 0
transform enterright:
    alpha 0 xoffset 50
    easein .5 alpha 1.0 xoffset 0

transform exitleft:
    alpha 1.0 xoffset 0
    easein .5 alpha 0 xoffset -50
transform exitright:
    alpha 1.0 xoffset 0
    easein .5 alpha 0 xoffset 50

transform disappear:
    alpha 1.0
    easein 1.2 alpha 0

transform left2center:
    xanchor 0
    easein .5 xanchor -160
transform center2right:
    xanchor -160
    easein .5 xanchor -320

transform nudgeleft:
    xoffset 0
    linear .08 xoffset -10
    easein .12 xoffset 0
transform nudgeright:
    xoffset 0
    linear .08 xoffset 10
    easein .12 xoffset 0

transform showup:
    yoffset 20 alpha 0
    easein .5 yoffset 0 alpha 1.0
    on hide:
        alpha 1.0
        linear .3 alpha 0 yoffset -10

transform deskpos:
    pos (120,58)

transform npcpos0:
    pos (250,124)
    alpha 1.0
    on hide:
        alpha 1.0
        linear .5 alpha 0

transform npcpos1:
    pos (0,500)
    alpha 0
    linear .5 alpha 1.0
    on hide:
        alpha 1.0
        linear .5 alpha 0

transform npcpos1b:
    pos (-70,500)
    xzoom -1.0
    alpha 0
    linear .5 alpha 1.0
    on hide:
        alpha 1.0
        linear .5 alpha 0

transform npcpos2:
    pos (30,380)
    alpha 0
    linear .5 alpha 1.0
    on hide:
        alpha 1.0
        linear .5 alpha 0
transform npcpos3:
    pos (210,420)
    alpha 0 #xzoom -1.0
    linear .5 alpha 1.0
    on hide:
        alpha 1.0
        linear .5 alpha 0

transform watertime(potpos):
    ypos 200
    xpos potpos
    yoffset -20 alpha 1.0
    linear 1.5 yoffset 0 alpha 0

transform harvesttime:
    xzoom 1.0
    alpha 1.0
    linear 1.0 alpha 0
    xzoom -1.0
    alpha 1.0
    linear 1.0 alpha 0
    repeat

image water:
    "water01"
    pause .1
    "water02"
    pause .1
    "water03"
    pause .1
    repeat

image tapcircle:
    "tappy"
    anchor (.5,.5)
    offset (112,112)
    alpha 0
    block:
        pause 3
        parallel:
            zoom .2
            easein .8 zoom 1.0
        parallel:
            alpha 1.0
            easein .8 alpha 0
        pause 1
        repeat


###HUB CHAR

image astra desk:
    choice: #may start by yawning
        block:
            "astra yawn1"
            pause .5
            "astra yawn2"
            pause .5
            repeat 3
        "astra yawn3"
        pause .2
    choice:
        pass

    block:
        "astra desk1"
        choice:
            pause 8
        choice:
            pause 3
        choice:
            pause 5
        "astra desk1c"
        pause .2
        "astra desk1d"
        pause .1
        "astra desk1b"
        choice:
            pause 8
        choice:
            pause 3
        choice:
            pause 5
        choice:
            pause 1
        "astra desk1c"
        pause .2
        "astra desk1e"
        pause .1
        "astra desk1"
        repeat

image astra mortar:
    "astra mortar1"
    pause .2
    "astra mortar2"
    pause .2
    repeat

image astra slowmortar:
    block:
        "astra mortar1"
        pause .2
        "astra mortar2"
        pause .2
        repeat 6
    block:
        "astra mortar1"
        pause .5
        "astra mortar2"
        pause .5
        "astra mortar1"
        pause .3
    repeat

image astra mortaridle:
    "astra mortar"
    pause 2
    "astra desk"

image astra yawn:
    "astra yawn1"
    pause .5
    "astra yawn2"
    pause .5
    repeat

image astra yawnidle:
    block:
        "astra yawn1"
        pause .5
        "astra yawn2"
        pause .5
        repeat 3
    "astra yawn3"
    pause .2
    "astra desk"

image astra rest:
    xysize (200,240)
    contains:
        "astra rest1"
        pause .3
        "astra rest2"
    contains:
        "astra rest3"
        alpha 0 offset (0,0)
        pause .3
        alpha 1.0
        easein 1.0 offset (20,20) alpha 0

image storynotif:
    "storynotif1"
    pause .08
    "storynotif2"
    pause .08
    "storynotif3"
    pause 5
    repeat

image cass peek:
    "cass peek1"
    pause .5
    "cass peek2"
    pause .5
    repeat

image cass hiding:
    "cass hide1"
    pause .3
    "cass hide2"
    pause .2
    block:
        "cass hide3"
        choice:
            pause 2
        choice:
            pause 4
        choice:
            pause 8
        "cass hide3b"
        pause .1
        "cass hide3"
        pause .1
        "cass hide3b"
        pause .1
        repeat

image peri idle:
    block:
        "peri idle1"
        pause .5
        "peri idle2"
        pause .5
        repeat 2
    "peri idle5"
    pause .2
    "peri idle3"
    pause .3
    block:
        "peri idle4"
        pause .5
        "peri idle3"
        pause .5
        repeat 5
    "peri idle4"
    pause .5
    "peri idle5"
    pause .2
    "peri idle1"
    pause .3
    "peri idle2"
    pause .5
    repeat
image peri sit:
    "peri sit1"
    choice:
        pause 3
    choice:
        pause 5
    choice:
        pause 8
    "peri sit1b"
    pause .1
    "peri sit1c"
    pause .3
    "peri sit1b"
    pause .1
    repeat

image peri healed:
    "peri healed2"
    yoffset 20
    alpha 0
    linear .5 alpha 1.0
    block:
        "peri healed1"
        pause .5
        "peri healed2"
        pause .5
        repeat

image peri awakeidle:
    xoffset 60 yoffset 0
    "peri awakeidle1"
    pause .5
    "peri awakeidle2"
    pause .5
    repeat

image vin idle:
    "vin idle1"
    pause .5
    "vin idle2"
    pause .5
    repeat
image vin crying:
    block:
        "vin crying1"
        pause .4
        "vin crying2"
        pause .4
        repeat 3
    "vin crying1"
    pause .4
    "vin crying2b"
    pause .4
    repeat


###GENERIC NPC

image witch1 idle:
    "witch1 idle1"
    pause .5
    "witch1 idle2"
    pause .5
    repeat

image witch2 idle:
    "witch2 idle1"
    pause .6
    "witch2 idle2"
    pause .6
    repeat

image witch3 idle:
    "witch3 idle1"
    pause .5
    "witch3 idle2"
    pause .5
    repeat

image witch4 idle:
    "witch4 idle1"
    pause .6
    "witch4 idle2"
    pause .6
    repeat

image mouse1 idle:
    "mouse1 idle1"
    pause .8
    "mouse1 idle2"
    pause .8
    repeat

image mouse2 idle:
    "mouse2 idle1"
    pause .7
    "mouse2 idle2"
    pause .7
    repeat

image cat1 idle:
    "cat1 idle1"
    pause .65
    "cat1 idle2"
    pause .65
    repeat

image cat2 idle:
    "cat2 idle1"
    pause .6
    "cat2 idle2"
    pause .6
    repeat

image mince idle:
    "mince idle1"
    pause .5
    "mince idle2"
    pause .5
    repeat
